diff --git a/ldap/servers/slapd/back-ldbm/filterindex.c b/ldap/servers/slapd/back-ldbm/filterindex.c
index e87cf30..49e83cb 100644
--- a/ldap/servers/slapd/back-ldbm/filterindex.c
+++ b/ldap/servers/slapd/back-ldbm/filterindex.c
@@ -65,7 +65,7 @@ filter_candidates_ext(
     IDList          *result;
     int             ftype;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> filter_candidates\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> filter_candidates\n", 0, 0, 0 );
 
     if (!allidslimit) {
         allidslimit = compute_allids_limit(pb, li);
@@ -74,7 +74,7 @@ filter_candidates_ext(
     /* check if this is to be serviced by a virtual index */
     if(INDEX_FILTER_EVALUTED == index_subsys_evaluate_filter(f, (Slapi_DN*)slapi_be_getsuffix(be, 0), (IndexEntryList**)&result))
     {
-        LDAPDebug( LDAP_DEBUG_TRACE, "<= filter_candidates %lu (vattr)\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= filter_candidates %lu (vattr)\n",
                (u_long)IDL_NIDS(result), 0, 0 );
         return result;
     }
@@ -88,7 +88,7 @@ filter_candidates_ext(
         slapi_pblock_get(pb, SLAPI_TXN, &txn.back_txn_txn);
         result = vlv_find_index_by_filter_txn(be, base, f, &txn);
         if (result) {
-            LDAPDebug( LDAP_DEBUG_TRACE, "<= filter_candidates %lu (vlv)\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= filter_candidates %lu (vlv)\n",
                     (u_long)IDL_NIDS(result), 0, 0 );
             return result;
         }
@@ -97,66 +97,66 @@ filter_candidates_ext(
     result = NULL;
     switch ( (ftype = slapi_filter_get_choice( f )) ) {
     case LDAP_FILTER_EQUALITY:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tEQUALITY\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tEQUALITY\n", 0, 0, 0 );
         result = ava_candidates( pb, be, f, LDAP_FILTER_EQUALITY, nextf, range, err, allidslimit );
         break;
 
     case LDAP_FILTER_SUBSTRINGS:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tSUBSTRINGS\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tSUBSTRINGS\n", 0, 0, 0 );
         result = substring_candidates( pb, be, f, err, allidslimit );
         break;
 
     case LDAP_FILTER_GE:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tGE\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tGE\n", 0, 0, 0 );
         result = ava_candidates( pb, be, f, LDAP_FILTER_GE, nextf, range,
             err, allidslimit );
         break;
 
     case LDAP_FILTER_LE:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tLE\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tLE\n", 0, 0, 0 );
         result = ava_candidates( pb, be, f, LDAP_FILTER_LE, nextf, range,
             err, allidslimit );
         break;
 
     case LDAP_FILTER_PRESENT:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tPRESENT\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tPRESENT\n", 0, 0, 0 );
         result = presence_candidates( pb, be, f, err, allidslimit );
         break;
 
     case LDAP_FILTER_APPROX:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tAPPROX\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tAPPROX\n", 0, 0, 0 );
         result = ava_candidates( pb, be, f, LDAP_FILTER_APPROX, nextf,
             range, err, allidslimit );
         break;
 
     case LDAP_FILTER_EXTENDED:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tEXTENSIBLE\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tEXTENSIBLE\n", 0, 0, 0 );
         result = extensible_candidates( pb, be, f, err, allidslimit );
         break;
 
     case LDAP_FILTER_AND:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tAND\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tAND\n", 0, 0, 0 );
         result = list_candidates( pb, be, base, f, LDAP_FILTER_AND, err, allidslimit );
         break;
 
     case LDAP_FILTER_OR:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tOR\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tOR\n", 0, 0, 0 );
         result = list_candidates( pb, be, base, f, LDAP_FILTER_OR, err, allidslimit );
         break;
 
     case LDAP_FILTER_NOT:
-        LDAPDebug( LDAP_DEBUG_FILTER, "\tNOT\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "\tNOT\n", 0, 0, 0 );
         result = idl_allids( be );
         break;
 
     default:
-        LDAPDebug( LDAP_DEBUG_FILTER,
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
             "filter_candidates: unknown type 0x%X\n",
             ftype, 0, 0 );
         break;
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= filter_candidates %lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= filter_candidates %lu\n",
                    (u_long)IDL_NIDS(result), 0, 0 );
     return( result );
 }
@@ -197,10 +197,10 @@ ava_candidates(
     back_txn      txn = {NULL};
     int           pr_idx = -1;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> ava_candidates\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ava_candidates\n", 0, 0, 0 );
 
     if ( slapi_filter_get_ava( f, &type, &bval ) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_TRACE, "  slapi_filter_get_ava failed\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "  slapi_filter_get_ava failed\n",
             0, 0, 0 );
         return( NULL );
     }
@@ -227,7 +227,7 @@ ava_candidates(
             op = "~=";
             break;
         }
-        LDAPDebug( LDAP_DEBUG_TRACE, "   %s%s%s\n", type, op,
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "   %s%s%s\n", type, op,
             encode( bval, buf ) );
     }
 #endif
@@ -235,13 +235,13 @@ ava_candidates(
     switch ( ftype ) {
         case LDAP_FILTER_GE:
             idl = range_candidates(pb, be, type, bval, NULL, err, &sattr, allidslimit);
-            LDAPDebug( LDAP_DEBUG_TRACE, "<= ava_candidates %lu\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ava_candidates %lu\n",
                        (u_long)IDL_NIDS(idl), 0, 0 );
             goto done;
             break;
         case LDAP_FILTER_LE:
             idl = range_candidates(pb, be, type, NULL, bval, err, &sattr, allidslimit);
-            LDAPDebug( LDAP_DEBUG_TRACE, "<= ava_candidates %lu\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ava_candidates %lu\n",
                        (u_long)IDL_NIDS(idl), 0, 0 );
             goto done;
             break;
@@ -252,7 +252,7 @@ ava_candidates(
             indextype = (char*)indextype_APPROX;
             break;
         default:
-            LDAPDebug( LDAP_DEBUG_TRACE, "<= ava_candidates invalid filter\n", 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ava_candidates invalid filter\n", 0, 0, 0 );
             goto done;
             break;
     }
@@ -312,7 +312,7 @@ ava_candidates(
         slapi_attr_assertion2keys_ava_sv( &sattr, &sv, &ivals, ftype );
         value_done(&sv);
         if ( ivals == NULL || *ivals == NULL ) {
-            LDAPDebug( LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                 "<= ava_candidates ALLIDS (no keys)\n", 0, 0, 0 );
             idl = idl_allids( be );
             goto done;
@@ -324,7 +324,7 @@ ava_candidates(
             pagedresults_set_unindexed( pb->pb_conn, pb->pb_op, pr_idx );
         }
          valuearray_free( &ivals );
-         LDAPDebug( LDAP_DEBUG_TRACE, "<= ava_candidates %lu\n",
+         LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ava_candidates %lu\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
     }
 done:
@@ -346,10 +346,10 @@ presence_candidates(
     int     unindexed = 0;
     back_txn      txn = {NULL};
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> presence_candidates\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> presence_candidates\n", 0, 0, 0 );
 
     if ( slapi_filter_get_type( f, &type ) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_ANY, "   slapi_filter_get_type failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "   slapi_filter_get_type failed\n",
             0, 0, 0 );
         return( NULL );
     }
@@ -367,7 +367,7 @@ presence_candidates(
 
     if (idl != NULL && ALLIDS(idl) && strcasecmp(type, "nscpentrydn") == 0) {
         /* try the equality index instead */
-        LDAPDebug(LDAP_DEBUG_TRACE, 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
                       "fallback to eq index as pres index gave allids\n", 
                       0, 0, 0);
         idl_free(&idl);
@@ -376,7 +376,7 @@ presence_candidates(
                                    NULL, NULL, 0, &txn, err, allidslimit);
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= presence_candidates %lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= presence_candidates %lu\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
     return( idl );
 }
@@ -395,7 +395,7 @@ extensible_candidates(
     int mrOP = 0;
     Slapi_Operation *op = NULL;
     back_txn txn = {NULL};
-    LDAPDebug (LDAP_DEBUG_TRACE, "=> extensible_candidates\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> extensible_candidates\n", 0, 0, 0);
     slapi_pblock_get(glob_pb, SLAPI_TXN, &txn.back_txn_txn);
     if ( ! slapi_mr_filter_index (f, pb) &&    !slapi_pblock_get (pb, SLAPI_PLUGIN_MR_QUERY_OPERATOR, &mrOP))
     {
@@ -525,7 +525,7 @@ return_idl:
     op = NULL;
     slapi_pblock_set (pb, SLAPI_OPERATION, op);
     slapi_pblock_destroy (pb);
-    LDAPDebug (LDAP_DEBUG_TRACE, "<= extensible_candidates %lu\n", 
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= extensible_candidates %lu\n", 
                    (u_long)IDL_NIDS(idl), 0, 0);
     return idl;
 }
@@ -555,14 +555,14 @@ range_candidates(
     int operator = 0;
     Operation *op = NULL;
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "=> range_candidates attr=%s\n", type, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> range_candidates attr=%s\n", type, 0, 0);
 
     slapi_pblock_get(pb, SLAPI_TXN, &txn.back_txn_txn);
 
     if (low_val != NULL) {
         slapi_attr_assertion2keys_ava(sattr, low_val, &lows, LDAP_FILTER_EQUALITY);
         if (lows == NULL || *lows == NULL) {
-            LDAPDebug( LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                        "<= range_candidates ALLIDS (no keys)\n", 0, 0, 0 );
             idl = idl_allids( be );
             goto done;
@@ -573,7 +573,7 @@ range_candidates(
     if (high_val != NULL) {
         slapi_attr_assertion2keys_ava(sattr, high_val, &highs, LDAP_FILTER_EQUALITY);
         if (highs == NULL || *highs == NULL) {
-            LDAPDebug( LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                        "<= range_candidates ALLIDS (no keys)\n", 0, 0, 0 );
             idl = idl_allids( be );
             goto done;
@@ -606,7 +606,7 @@ done:
     if (lows) ber_bvecfree(lows);
     if (highs) ber_bvecfree(highs);
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= range_candidates %lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= range_candidates %lu\n",
                (u_long)IDL_NIDS(idl), 0, 0 );
 
     return idl;
@@ -656,7 +656,7 @@ list_candidates(
     struct berval *vpairs[2] = {NULL, NULL};
     int is_and = 0;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> list_candidates 0x%x\n", ftype, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> list_candidates 0x%x\n", ftype, 0, 0 );
 
     /* 
      * Optimize bounded range queries such as (&(cn>=A)(cn<=B)).
@@ -753,7 +753,7 @@ list_candidates(
         slapi_attr_init(&sattr, tpairs[0]);
         idl = range_candidates(pb, be, tpairs[0], vpairs[0], vpairs[1], err, &sattr, allidslimit);
         attr_done(&sattr);
-        LDAPDebug( LDAP_DEBUG_TRACE, "<= list_candidates %lu\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= list_candidates %lu\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
         goto out;
     }
@@ -779,7 +779,7 @@ list_candidates(
 
             /* Fetch the IDL for foo */
             /* Later we'll remember to call idl_notin() */
-            LDAPDebug( LDAP_DEBUG_TRACE,"NOT filter\n", 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"NOT filter\n", 0, 0, 0 );
             if (filter_is_subtype(slapi_filter_list_first(f))) {
                 /*
                  * If subtype is included in the filter (e.g., !(cn;fr=<CN>)),
@@ -806,7 +806,7 @@ list_candidates(
                 attr_done(&sattr);
                 if (tmp == NULL && ftype == LDAP_FILTER_AND)
                 {
-                    LDAPDebug( LDAP_DEBUG_TRACE,
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                         "<= list_candidates NULL\n", 0, 0, 0 );
                     idl_free( &idl );
                     idl = NULL;
@@ -816,7 +816,7 @@ list_candidates(
             /* Proceed as normal */
             else if ( (tmp = filter_candidates_ext( pb, be, base, f, nextf, range, err, allidslimit ))
                 == NULL && ftype == LDAP_FILTER_AND ) {
-                    LDAPDebug( LDAP_DEBUG_TRACE,
+                    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                         "<= list_candidates NULL\n", 0, 0, 0 );
                     idl_free( &idl );
                     idl = NULL;
@@ -879,7 +879,7 @@ list_candidates(
         }
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= list_candidates %lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= list_candidates %lu\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
 out:
     if (is_and) {
@@ -918,10 +918,10 @@ substring_candidates(
     int          pr_idx = -1;
     struct attrinfo *ai = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> sub_candidates\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> sub_candidates\n", 0, 0, 0 );
 
     if (slapi_filter_get_subfilt( f, &type, &initial, &any, &final ) != 0) {
-        LDAPDebug( LDAP_DEBUG_ANY, "  slapi_filter_get_subfilt fails\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "  slapi_filter_get_subfilt fails\n",
             0, 0, 0 );
         return( NULL );
     }
@@ -939,7 +939,7 @@ substring_candidates(
     if ( ivals == NULL || *ivals == NULL ) {
         slapi_pblock_set( pb, SLAPI_OPERATION_NOTES, &opnote );
         pagedresults_set_unindexed( pb->pb_conn, pb->pb_op, pr_idx );
-        LDAPDebug( LDAP_DEBUG_TRACE,
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
             "<= sub_candidates ALLIDS (no keys)\n", 0, 0, 0 );
         return( idl_allids( be ) );
     }
@@ -956,7 +956,7 @@ substring_candidates(
     }
     valuearray_free( &ivals );
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= sub_candidates %lu\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= sub_candidates %lu\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
     return( idl );
 }
@@ -977,7 +977,7 @@ keys2idl(
     IDList    *idl;
     int    i;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> keys2idl type %s indextype %s\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> keys2idl type %s indextype %s\n",
         type, indextype, 0 );
     idl = NULL;
     for ( i = 0; ivals[i] != NULL; i++ ) {
@@ -990,7 +990,7 @@ keys2idl(
         {
             char    buf[BUFSIZ];
 
-            LDAPDebug( LDAP_DEBUG_TRACE,
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                 "   ival[%d] = \"%s\" => %lu IDs\n", i,
                 encode( slapi_value_get_berval(ivals[i]), buf ), (u_long)IDL_NIDS(idl2) );
         }
diff --git a/ldap/servers/slapd/back-ldbm/findentry.c b/ldap/servers/slapd/back-ldbm/findentry.c
index 8b842e3..4942ada 100644
--- a/ldap/servers/slapd/back-ldbm/findentry.c
+++ b/ldap/servers/slapd/back-ldbm/findentry.c
@@ -46,7 +46,7 @@ check_entry_for_referral(Slapi_PBlock *pb, Slapi_Entry *entry, char *matched, co
 
 	url=(struct berval **) slapi_ch_malloc((numValues + 1) * sizeof(struct berval*));
 	if (!url) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"check_entry_for_referral: Out of memory\n",
 			0, 0, 0);
 		goto out;
@@ -62,7 +62,7 @@ check_entry_for_referral(Slapi_PBlock *pb, Slapi_Entry *entry, char *matched, co
 	slapi_send_ldap_result( pb, LDAP_REFERRAL, matched, NULL, 0, refscopy );
 	rc= 1;
 
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		"<= %s sent referral to (%s) for (%s)\n",
 		callingfn,
 		refscopy ? refscopy[0]->bv_val : "",
@@ -133,7 +133,7 @@ find_entry_internal_dn(
 
 		/* wait for entry modify lock */
 		if ( !lock || cache_lock_entry( &inst->inst_cache, e ) == 0 ) {
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "<= find_entry_internal_dn found (%s)\n", slapi_sdn_get_dn(sdn), 0, 0 );
 			return( e );
 		}
@@ -141,13 +141,13 @@ find_entry_internal_dn(
 		 * this entry has been deleted - see if it was actually
 		 * replaced with a new copy, and try the whole thing again.
 		 */
-		LDAPDebug( LDAP_DEBUG_ARGS,
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 		    "   find_entry_internal_dn retrying (%s)\n", slapi_sdn_get_dn(sdn), 0, 0 );
 		CACHE_RETURN( &inst->inst_cache, &e );
 		tries++;
 	}
 	if (tries >= LDBM_CACHE_RETRY_COUNT) {
-		LDAPDebug( LDAP_DEBUG_ANY,"find_entry_internal_dn retry count exceeded (%s)\n", slapi_sdn_get_dn(sdn), 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"find_entry_internal_dn retry count exceeded (%s)\n", slapi_sdn_get_dn(sdn), 0, 0 );
 	}
 	/*
 	 * there is no such entry in this server. see how far we
@@ -243,7 +243,7 @@ find_entry_internal_dn(
 	}
 
 	slapi_ch_free_string(&errbuf);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= find_entry_internal_dn not found (%s)\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= find_entry_internal_dn not found (%s)\n",
 	    slapi_sdn_get_dn(sdn), 0, 0 );
 	return( NULL );
 }
@@ -277,7 +277,7 @@ find_entry_internal_uniqueid(
 
 		/* wait for entry modify lock */
 		if ( !lock || cache_lock_entry( &inst->inst_cache, e ) == 0 ) {
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "<= find_entry_internal_uniqueid found; uniqueid = (%s)\n", 
 			uniqueid, 0, 0 );
 			return( e );
@@ -286,14 +286,14 @@ find_entry_internal_uniqueid(
 		 * this entry has been deleted - see if it was actually
 		 * replaced with a new copy, and try the whole thing again.
 		 */
-		LDAPDebug( LDAP_DEBUG_ARGS,
+		LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 			"   find_entry_internal_uniqueid retrying; uniqueid = (%s)\n", 
 			uniqueid, 0, 0 );
 		CACHE_RETURN( &inst->inst_cache, &e );
 		tries++;
 	}
 	if (tries >= LDBM_CACHE_RETRY_COUNT) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"find_entry_internal_uniqueid retry count exceeded; uniqueid = (%s)\n", 
 			uniqueid , 0, 0 );
 	}
@@ -302,7 +302,7 @@ find_entry_internal_uniqueid(
 	slapi_send_ldap_result( pb, ( 0 == err || DB_NOTFOUND == err ) ?
 		LDAP_NO_SUCH_OBJECT : LDAP_OPERATIONS_ERROR, NULL /* matched */, NULL,
 		0, NULL );
-	LDAPDebug( LDAP_DEBUG_TRACE, 
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 		"<= find_entry_internal_uniqueid not found; uniqueid = (%s)\n",
 	    uniqueid, 0, 0 );
 	return( NULL );
@@ -322,7 +322,7 @@ find_entry_internal(
 	/* check if we should search based on uniqueid or dn */
 	if (addr->uniqueid!=NULL)
 	{
-		LDAPDebug( LDAP_DEBUG_TRACE, "=> find_entry_internal (uniqueid=%s) lock %d\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> find_entry_internal (uniqueid=%s) lock %d\n",
 		    addr->uniqueid, lock, 0 );
 		return (find_entry_internal_uniqueid (pb, be, addr->uniqueid, lock, txn));
 	}
@@ -330,7 +330,7 @@ find_entry_internal(
 	{
 		struct backentry *entry = NULL;
 
-		LDAPDebug( LDAP_DEBUG_TRACE, "=> find_entry_internal (dn=%s) lock %d\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> find_entry_internal (dn=%s) lock %d\n",
 		           slapi_sdn_get_dn(addr->sdn), lock, 0 );
 		if (addr->sdn) {
 			entry = find_entry_internal_dn (pb, be, addr->sdn, lock, txn, flags, rc);
diff --git a/ldap/servers/slapd/back-ldbm/id2entry.c b/ldap/servers/slapd/back-ldbm/id2entry.c
index aa012c1..e6521d9 100644
--- a/ldap/servers/slapd/back-ldbm/id2entry.c
+++ b/ldap/servers/slapd/back-ldbm/id2entry.c
@@ -36,11 +36,11 @@ id2entry_add_ext(backend *be, struct backentry *e, back_txn *txn,
     struct backentry *encrypted_entry = NULL;
     char *entrydn = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> id2entry_add( %lu, \"%s\" )\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> id2entry_add( %lu, \"%s\" )\n",
                                  (u_long)e->ep_id, backentry_get_ndn(e), 0 );
 
     if ( (rc = dblayer_get_id2entry( be, &db )) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_ANY, "Could not open/create id2entry\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Could not open/create id2entry\n",
             0, 0, 0 );
         rc = -1;
         goto done;
@@ -56,7 +56,7 @@ id2entry_add_ext(backend *be, struct backentry *e, back_txn *txn,
     if (encrypt) {
         rc = attrcrypt_encrypt_entry(be, e, &encrypted_entry);
         if (rc) {
-            LDAPDebug( LDAP_DEBUG_ANY, "attrcrypt_encrypt_entry failed in id2entry_add\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "attrcrypt_encrypt_entry failed in id2entry_add\n",
                 0, 0, 0 );
             rc = -1;
             goto done;
@@ -82,7 +82,7 @@ id2entry_add_ext(backend *be, struct backentry *e, back_txn *txn,
                     if (cache_replace( &inst->inst_dncache, oldbdn, bdn ) != 0) {
                         /* The entry was not in the cache for some reason (this
                          * should not happen since CACHE_ADD said it existed above). */
-                        LDAPDebug( LDAP_DEBUG_ANY, "id2entry_add_ext(): Entry disappeared "
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "id2entry_add_ext(): Entry disappeared "
                                    "from cache (%s)\n", oldbdn->dn_sdn, 0, 0 );
                     }
                 }
@@ -189,7 +189,7 @@ done:
         backentry_free(&encrypted_entry);
     }
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= id2entry_add %d\n", rc, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= id2entry_add %d\n", rc, 0, 0 );
     return( rc );
 }
 
@@ -211,11 +211,11 @@ id2entry_delete( backend *be, struct backentry *e, back_txn *txn )
     int    rc;
     char temp_id[sizeof(ID)];
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> id2entry_delete( %lu, \"%s\" )\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> id2entry_delete( %lu, \"%s\" )\n",
         (u_long)e->ep_id, backentry_get_ndn(e), 0 );
 
     if ( (rc = dblayer_get_id2entry( be, &db )) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_ANY, "Could not open/create id2entry\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Could not open/create id2entry\n",
             0, 0, 0 );
         return( -1 );
     }
@@ -245,7 +245,7 @@ id2entry_delete( backend *be, struct backentry *e, back_txn *txn )
     rc = db->del( db,db_txn,&key,0 );
     dblayer_release_id2entry( be, db );
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= id2entry_delete %d\n", rc, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= id2entry_delete %d\n", rc, 0, 0 );
     return( rc );
 }
 
